# compose files is only used for debugging
# image is build, tagged and published in ci pipeline

version: '3'

services:
  frontend-ci-image:
    image: registry.gitlab.com/empaia/integration/frontend-workspace/${CI_DOCKER_IMAGE_NAME}:latest
    environment:
      BASE_DOCKER_IMAGE: ${BASE_DOCKER_IMAGE}
      CI_DOCKER_IMAGE_NAME: ${CI_DOCKER_IMAGE_NAME}
      NODE_VERSION: ${NODE_VERSION}
      NPM_VERSION: ${NPM_VERSION}
    build:
      context: ../../..
      dockerfile: tools/ci/base-image/Dockerfile
      args:
        BASE_DOCKER_IMAGE: $BASE_DOCKER_IMAGE
        NODE_VERSION: ${NODE_VERSION}
        NPM_VERSION: ${NPM_VERSION}
